Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cert
Class Attribute

`java.lang.Object
oracle.security.crypto.cert.Attribute`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class Attribute
extends java.lang.Object
implements oracle.security.crypto.asn1.ASN1Object

An attribute, as defined in `X.501` and used in various PKIX and PKCS protocols, consists of a type (OID) and a set of 1 or more values defined by the given type.

            Attribute ::= SEQUENCE {
                    type    AttributeType,
                    values  SET (1..MAX) OF AttributeValue
            }

            AttributeType ::= OBJECT IDENTIFIER

            AttributeValue ::= ANY DEFINED BY AttributeType

See Also:
  `AttributeSet`, `AttributeTypeAndValue`

Constructor Summary
`Attribute(oracle.security.crypto.asn1.ASN1ObjectID type)` Creates a new `Attribute` of the specified type, with no values.
`Attribute(oracle.security.crypto.asn1.ASN1ObjectID type, oracle.security.crypto.asn1.ASN1Object value)` Creates a new `Attribute` of the specified type, with the specified (single) value.
`Attribute(oracle.security.crypto.asn1.ASN1ObjectID type, java.util.Vector values)` Creates a new `Attribute` of the specified type, with the specified values.
`Attribute(java.io.InputStream is)` Creates a new `Attribute` from the given input stream.

Method Summary
`void` | `addValue(oracle.security.crypto.asn1.ASN1Object value)`
`oracle.security.crypto.asn1.ASN1ObjectID` | `getType()`
`java.util.Vector` | `getValues()`
`void` | `input(java.io.InputStream is)`
`int` | `length()`
`void` | `output(java.io.OutputStream os)`
`void` | `setValues(java.util.Vector values)`
`int` | `size()` Returns the number of values defined for this `Attribute`.
`java.lang.String` | `toString()`
`java.util.Enumeration` | `values()` Returns the set of values for this `Attribute`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Attribute

    public Attribute(oracle.security.crypto.asn1.ASN1ObjectID type)

  Creates a new `Attribute` of the specified type, with no values.
Parameters:
  `type` - OID specifiying the type of the attribute.

### Attribute

    public Attribute(oracle.security.crypto.asn1.ASN1ObjectID type,
                     oracle.security.crypto.asn1.ASN1Object value)

  Creates a new `Attribute` of the specified type, with the specified (single) value.
Parameters:
  `type` - OID specifiying the type of the attribute.
  `value` - a value of the attribute.

### Attribute

    public Attribute(oracle.security.crypto.asn1.ASN1ObjectID type,
                     java.util.Vector values)

  Creates a new `Attribute` of the specified type, with the specified values.
Parameters:
  `type` - OID specifiying the type of the attribute.
  `values` - a vector containing 1 or more `ASN1Object` values for the attribute.

### Attribute

    public Attribute(java.io.InputStream is)
              throws java.io.IOException

  Creates a new `Attribute` from the given input stream.
Parameters:
  `is` - input stream containing the encoding of the attribute.

Method Detail

### getType

    public oracle.security.crypto.asn1.ASN1ObjectID getType()

### addValue

    public void addValue(oracle.security.crypto.asn1.ASN1Object value)

### setValues

    public void setValues(java.util.Vector values)

### values

    public java.util.Enumeration values()

  Returns the set of values for this `Attribute`.
  Returns:
    an `Enumeration` of the `ASN1Object` values.

### getValues

    public java.util.Vector getValues()

### size

    public int size()

  Returns the number of values defined for this `Attribute`.

### toString

    public java.lang.String toString()

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Specified by:
    `input` in interface `oracle.security.crypto.util.Streamable`
  Throws:
    `java.io.IOException`

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Specified by:
    `output` in interface `oracle.security.crypto.util.Streamable`
  Throws:
    `java.io.IOException`

### length

    public int length()

  Specified by:
    `length` in interface `oracle.security.crypto.util.Streamable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.